Subject: Re: Kernels, FPUs et al...

From: [email-masked]
Date: Thu, 27 Aug 1998 08:55:41 +0000 (UTC)

> > Incidentally I now have SuSE 6.0 running on other machines and they tell
> > me that egcs (the default compiler) isn't ready for compiling 2.0 kernels.
> > Is this true?
> 
> Not exactly.  egcs fixed some of the things that were broken in gcc that
> the kernel depended on being broken.  The 2.1 kernel development fixed
> these problems, but no-one wanted to do the same to 2.0.  There is a web
> page somewhere where someone is collecting patches but I'd be loathe to
> trust it.  For 2.0 use gcc 2.7.2.N.

This is mostly only true for x86 anyway.  Other platforms don't tend to
have the same problems with 2.0 kernels and new compilers; the bugs were
due to faulty inline asms in the i386 headers.

p.